      subroutine dprinto2(ltyp,lrtyp,lcon,
     $  nrdt,rdat,nidt,idat,nkdt,kdat,lun11)
c
c     this  routine prints one element of the database
c     author:  T. Kallman
c
c
      implicit none
c
      integer nptmpdim
      parameter (nptmpdim=200000)
c
      integer ltyp,lrtyp,lcon,nrdt,nidt,nkdt,lun11
      integer mm
c
      real rdat(nptmpdim)
      integer idat(nptmpdim)
      character*1 kblnk,kperc,kdat(nptmpdim)
c
      data kblnk/' '/,kperc/'%'/
c
      write (lun11,*)ltyp,lrtyp,lcon,nrdt,nidt,nkdt,
     $  (rdat(mm),mm=1,nrdt),(idat(mm),mm=1,nidt),
     $  kblnk,(kdat(mm),mm=1,nkdt),kblnk,kperc
c
      return
      end
